.filter-window {
  display: none;
}

.filter-window:before {
  content: '';
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.3);
  overflow: hidden;
}

.filter-close {
  position: absolute;
  top: 15px;
  right: 20px;
  width: 25px;
  height: 25px;
  cursor: pointer;
  user-select: none;
  transition: 0.3s ease-out 0s;
}

.filter-close:hover {
  transform: rotate(90deg);
}

.filter-close:hover svg > line {
  stroke: #f0506e;
}

.filter-content {
  position: fixed;
  left: 0;
  top: 0;
  max-width: 800px;
  width: 50%;
  height: calc(100% - 40px);
  overflow: hidden;
  background: #fff;
  z-index: 1000;
}

.filter-header {
  color: #666;
  width: 100%;
  height: 50px;
  padding: 10px 20px;
  border-bottom: 1px solid #e5e5e5;
  user-select: none;
  margin-bottom: 20px;
}

.filter-header h4 {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.filter-body {
  width: 100%;
  height: calc(100% - 150px);
  overflow: hidden;
  border-bottom: 1px solid #e5e5e5;
  padding: 0 20px;
}

.filter-buttons {
  margin: 20px 0;
}

.lock {
  overflow: hidden;
}

#rd-params-block {
  height: 100%;
  overflow: auto;
}

#rd-table-params td {
  padding: 10px 2px;
  vertical-align: middle;
}

#rd-table-params a.uk-form-icon:hover {
  color: #1e87f0;
}

#rd-table-params .uk-form-label {
  max-width: fit-content;
  max-width: -moz-fit-content;
  max-width: -webkit-fit-content;
}

.filter-content input.uk-input[disabled] {
  color: #1e87f0;
  background: #fff;
  cursor: text;
}

.filter-content select.uk-select:not([multiple]) {
  background: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNyIgaGVpZ2h0PSI0IiB2aWV3Qm94PSIwIDAgNyA0IiBmaWxsPSJub25lIiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciPgo8cGF0aCBmaWxsLXJ1bGU9ImV2ZW5vZGQiIGNsaXAtcnVsZT0iZXZlbm9kZCIgZD0iTTAuMzc1IDAuODc1TDMuNSA0TDYuNjI1IDAuODc1SDAuMzc1WiIgZmlsbD0iIzIxOTZGMyIvPgo8L3N2Zz4K") no-repeat 98%/100% !important;
  background-size: 12px 12px !important;
  color: #222 !important;
  cursor: pointer;
  padding: 0 35px 0 10px !important;
}

.filter_button {
  user-select: none;
  cursor: pointer;
  fill: #000;
  transition: 0.3s;
}

.filter_button:hover {
  fill: var(--blue);
  transform: scale(1.3);
}

.filter_button._filter {
  fill: red;
}

#rd-button-save-report-template,
#rd-button-delete-report-template,
#rd-button-refresh-report-template,
#rd-button-forward-report-template {
  margin: 0;
  padding: 0 10px;
  border: none;
}

#rd-button-save-report-template:disabled,
#rd-button-delete-report-template:disabled,
#rd-button-refresh-report-template:disabled,
#rd-button-forward-report-template:disabled {
  background: #f8f8f8;
}

#rd-button-save-report-template:not(:disabled):hover {
  color: #11ad11;
}

#rd-button-refresh-report-template:not(:disabled):hover,
#rd-button-forward-report-template:not(:disabled):hover {
  color: #2389f0;
}

#rd-button-delete-report-template:not(:disabled):hover,
#rd-table-params a[uk-icon="trash"]:hover {
  color: red;
}

#rd-button-select-report-template {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  gap: 5px;
  padding: 0 10px;
  transition: 0.3s;
}

#rd-button-select-report-template:hover {
  color: #2389f0;
  border-color: #2389f0;
}

input#rd-template-name[disabled] {
  background-color: #f8f8f8;
  color: #999;
  cursor: default;
}

.rd-template-block {
  border-bottom: 1px solid #e5e5e5;
  padding-bottom: 20px;
  display: none;
}

.rd-template-block.active {
  display: block;
}

.template-report-table tr {
  cursor: pointer;
  transition: 0.3s;
}

.template-report-table tr:hover,
.template-report-table tr.selected {
  background: #1e87f0;
  color: #fff;
}

@media screen and (max-width:1160px) {
  .filter-content {
    max-width: 100% !important;
    width: 100% !important;
  }
}
